//*************************************************************
// システム名     電子入札物品コアシステム
// サブシステム名 電子入札・開札システム
//
// 紙入札情報登録画面処理
// @author NEC
// @version 1.0, 2002.10.03, 新規作成<BR>
//          1.1, 2003.06.14, 障害票189対応<BR>
//          1.2, 2003.06.14, 障害票181対応<BR>
//          1.3, 2003.06.17, V3-結合-026対応<BR>
//          1.4, 2003.06.17, V3-総合-213対応<BR>
//          1.5, 2003.06.18, V3-結合-032対応<BR>
//          1.6, 2003.06.23, V3-結合-036対応<BR>
//          1.7, 2003.08.20, 連絡票190対応<BR>
//          1.8, 2003.08.26, 連絡票123対応<BR>
//          1.9, 2003.09.12, 連絡票135対応<BR>
//          3.1, 2003.10.20, V3.1-総合-016対応<BR>
//          3.1, 2003.10.22, V3.1-統合-059対応<BR>
//          4.0, 2004.01.30, V4.0複数落札対応<BR>
//          4.0, 2004.02.23, 連絡票134対応<BR>
//          4.0, 2004.02.25, V4-統合-012対応<BR>
//          4.0, 2004.03.04, V4-統合-001対応<BR>
//          4.1, 2007.04.10, ステータスバーの表示追加対応<BR>
//
//*************************************************************
var bidPrice = "";

//-------------------------------------------------------------
// クリアボタン押下時処理
//-------------------------------------------------------------
function onClear()
{
  document.formProject.searchCompanyNumber.value="";
  document.formProject.searchCompanyName.value="";
  document.formProject.searchCompanyTelephone.value="";
  document.formProject.searchCompanyAddress.value="";
  document.formProject.searchCompanyNumber.focus();

}//onClear

//--------------------------------------------------
// 編集データ数を取得する
//--------------------------------------------------
function getEditDataCount()
{
  if( !document.formEdit )
    return 0;

  if( "FORM"==document.formEdit.tagName )
    return 1;

  return document.formEdit.length;
}//getEditDataCount


function onInputStart()
{
  // 通信中ダイアログを閉じる
  if( document.common )
  {
    onLoadPopup();
  }
  else
  {
    opener.top.wpMain.closeSubWindow();
    opener.top.wpMain.resetCommandFormObj();
  }
  // 金額入力フィールドにイベントを設定
  if( document.formRegist )
  {
    setPriceTextEvent(
      document.formRegist.bidPrice,
      document.formRegist.bidPriceJp,
      document.formRegist.bidPriceComma );

    document.formRegist.bidPrice.focus();
  }

  // 複数落札時初期処理
  if( document.formRegist && document.formRegist.bidAmount )
  {
    // 金額のMaxlength変化
    document.formRegist.bidPrice.maxLength = DEF_BID_PLURAL_LENGTH;

    // 残数量セット(親画面より取得し表示)
    document.formRegist.goodsAmountRestDisp.value = "（" + Number(opener.top.wpMain.document.formHTS00901.goodsAmountRest.value) + "）";
  }

} //onInputStart

//-------------------------------------------------------------
// 紙入札情報入力企業情報設定
//-------------------------------------------------------------
function setInputCompany( companyNumber, companyName )
{
  document.getElementById("spanCompanyNumber").innerHTML=companyNumber;
  document.getElementById("spanCompanyName"  ).innerHTML=companyName;
  document.formRegist.companyNumber.value=companyNumber;
  document.formRegist.companyName  .value=companyName;

}//setInputCompany

//-------------------------------------------------------------
// 紙入札情報登録画面表示
//-------------------------------------------------------------
function onInsert()
{ 
  if( checkInputBidData())
  {
    if( opener.top.wpMain.dispatchInsertRequest( document.formRegist ) )
      window.close();
  }

}//onInsert

function checkInputBidData()
{
  if( document.formRegist.companyNumber.value=="" )
  {
    alert( "業者を指定して下さい." );
    return false;
  }

  // 辞退？
  if( document.formRegist.declineFlag && document.formRegist.declineFlag.checked )
    return true;// 辞退の場合はOK
    
  var errmsg="";
  var tenderOrEstimateName=document.formRegist.tenderOrEstimateName.value;

  // 入札金額チェック
  if( document.formRegist.bidPrice.value=="" )
  {
    errmsg+=tenderOrEstimateName+"金額が未入力です。"+tenderOrEstimateName+"金額を入力して下さい.\n";
  }
  // ０円以上かチェック
  else if( Number( document.formRegist.bidPrice.value )<=0 )
  {
    errmsg+=tenderOrEstimateName+"金額には0より大きい値を入力して下さい.\n";
  }
  else if( document.formRegist.bidAmount )
  {
    // 複数落札の場合
    if( document.formRegist.bidPrice.value.length > DEF_BID_PLURAL_LENGTH ){
      errmsg+=tenderOrEstimateName+"金額が長すぎます。" + DEF_BID_PLURAL_LENGTH + "桁以下で入力して下さい.\n";
    }
    else if( !checkNumberDecimal( document.formRegist.bidPrice.value ) ){
      errmsg+=tenderOrEstimateName+"金額が不正です。再入力してください.\n";
    }
    else if( !checkIntegerBidLengthDef(document.formRegist.bidPrice.value) ){
      errmsg+=tenderOrEstimateName+"金額には整数部" + DEF_BID_PLURAL_INTEGER_LENGTH + "桁までの値を入力して下さい.\n";
    }
    else if( !checkDecimalBidLengthDef(document.formRegist.bidPrice.value) ){
      errmsg+=tenderOrEstimateName+"金額には小数点第" + DEF_BID_PLURAL_DECIMAL_LENGTH + "位までの値を入力して下さい.\n";
    }
  }
  else
  {
    // 複数落札以外の場合
    if( document.formRegist.bidPrice.value.length > DEF_BID_NONPLURAL_LENGTH ){
      errmsg+=tenderOrEstimateName+"金額が長すぎます。" + DEF_BID_NONPLURAL_LENGTH + "桁以下で入力して下さい.\n";
    }
    // 複数落札以外の場合、整数かチェック
    else if( !checkNumber( document.formRegist.bidPrice.value ) ){
      errmsg+=tenderOrEstimateName+"金額が不正です。再入力してください.\n";
    }
  }

  // 入札数量チェック
  if( document.formRegist.bidAmount )
  {
    if( document.formRegist.bidAmount.value=="" ){
      errmsg+=tenderOrEstimateName+"数量が未入力です。"+tenderOrEstimateName+"数量を入力して下さい.\n";
    }
    // ０以上かチェック
    else if( Number( document.formRegist.bidAmount.value )<=0 ){
      errmsg+=tenderOrEstimateName+"数量には0より大きい値を入力して下さい.\n";
    }
    else if( !checkNumber( document.formRegist.bidAmount.value ) ){
      errmsg+=tenderOrEstimateName+"数量が不正です。再入力して下さい.\n";
    }
    // 残数量以下チェック
    else if( Number(document.formRegist.bidAmount.value) > Number(opener.top.wpMain.document.formHTS00901.goodsAmountRest.value) ){
      errmsg+=tenderOrEstimateName + "数量には" + opener.top.wpMain.document.formHTS00901.goodsAmountRest.value + "以下の値を入力してください.\n";
    }
  }

  if( errmsg!="" )
  {
    alert( errmsg );
    return false;
  }

  return true;
}//checkInputBidData()

function dispatchInsertRequest( input )
{

  if(!input.declineFlag.checked)
  { 
    
    if( input.bidPrice.value=="" )
    {
      alert( input.bidPrice.value+"金額を入力して下さい.\n" );
      return false;
    }
    else if( Number( input.bidPrice.value )<=0 )
    {
      alert( input.bidPrice.value+"金額には0より大きい値を入力して下さい.\n" );
      return false;
    }
    if( !checkNumberDecimal(input.bidPrice.value) )
    {
      alert( input.bidPrice.value+"金額に誤りがあります。再度入力してください。" );
      return false;
    }

    if( 0>=Number(input.bidPrice.value) )
    {
      alert( input.bidPrice.value+"金額に誤りがあります。再度入力してください。" );
      return false;
    }

    // 数量
    if( input.bidAmount )
    {
      if( 0>=Number(input.bidAmount.value) )
      {
        return false;
      }
    }
  }
  else
  {
    document.formHTS00901.declineFlag.value = "1";
  }

//QA030917001対応によりコメントアウト 2003/9/24
//  if( !checkNumber(input.companyNumber.value) )
//  {
//    alert("企業IDに誤りがあります。再度入力してください。");
//    return false;
//  }

  if(!input.declineFlag.checked)
  { 
    // 入力入札金額
    document.formHTS00901.bidPrice.value = checkNumberDecimal(input.bidPrice.value) ? input.bidPrice.value : "";

    // 入力数量
    document.formHTS00901.amount.value = ( input.bidAmount && checkNumber(input.bidAmount.value) ) ? input.bidAmount.value : "";
  }
  else {
    // 入力入札金額
    document.formHTS00901.bidPrice.value = "";

    // 入力数量
    document.formHTS00901.amount.value = "";
  }

  // 入力業者コード
  document.formHTS00901.companyNumber.value = input.companyNumber.value;

  dispatch( document.formHTS00901, 'H5413HTS009' );

  return true;
}//onInsert

//--------------------------------------------------
// 紙入札情報の削除
//--------------------------------------------------
function onDelete( srcElement )
{
  if( !setCommandFormObj( document.formRegist ) )
    return;

  try
  {
    if( !confirm('削除しますか？') )
      return;

    var deleteForm= document.formEdit.tagName=="FORM";// Netscape用処理

    var srcTR=getParent( srcElement, "TR" );
    var rowIndex=srcTR.rowIndex;
    srcTR.parentNode.deleteRow( rowIndex );

    if( deleteForm && document.formEdit ) delete document.formEdit;// Netscape用処理

    // No.再割当て
    for( var i=rowIndex-1, cnt=getEditDataCount() ; i<cnt ; )
    {
      getParent( getEditData(i), "TR" ).cells[0].innerHTML=String(++i);
    }
  }
  finally{
    resetCommandFormObj();
  }
}//onDelete

//-------------------------------------------------------------
// HTML読込み時の初期処理
//-------------------------------------------------------------
function onStart()
{
  onLoad();

  //調達案件一覧画面より遷移してきた場合はappletで持っている
  //予定価格と基準価格をクリアする。
  if(document.commonData.preScreenID.value == "HPD001") {
    begin();
    execute("copyString(value:'', session:'plannedPrice')");
    execute("copyString(value:'', session:'standardPrice')");
    commit();
  }

}//onStart

//-------------------------------------------------------------
// 予定価格登録画面表示
//-------------------------------------------------------------
function moveAcceptPaperConditionsView()
{
  dispatch( document.formHTS00901, 'H541HTS007' );
}//moveAcceptPaperConditionsView

//-------------------------------------------------------------
// 予定価格内容確認画面表示
//-------------------------------------------------------------
function moveAcceptPaperConfirmView()
{
  dispatch( document.formHTS00901, 'H539HTS010' );
}//moveAcceptPaperConditionsView

//-------------------------------------------------------------
// 評価点登録画面表示
//-------------------------------------------------------------
function moveEstimateView(){
  dispatch( document.formHTS00901, 'H5416HAS006' );
}
//-------------------------------------------------------------
// 紙入札修正
//-------------------------------------------------------------
function doUpdate( form )
{
  if( document.formHTS00901.amount && form.amount )
  {
    document.formHTS00901.amount.value=form.amount.value;
  }

  if (form.process[1].checked) {
    document.formHTS00901.declineFlag.value = "1";
    document.formHTS00901.bidPrice.value = "";
    document.formHTS00901.amount.value = "";
  }
  else {
    document.formHTS00901.declineFlag.value = "0";
    document.formHTS00901.bidPrice.value = form.bidPrice.value;
  }

  dispatch( document.formHTS00901, 'H5414HTS009' );
}//doUpdate

//-------------------------------------------------------------
// 戻る
//-------------------------------------------------------------
function backView()
{
  dispatch( document.formHTS00901, 'H502HPD001' );
}//backView

//-------------------------------------------------------------
// 紙入札情報削除
//-------------------------------------------------------------
function deleteView( delcompanyNumber )
{
  if( !confirm('削除しますか？') )
      return;
  
  if( !setCommandFormObj( document.formRegist ) )
    return;

//  if( typeof(document.formProject.selectCompany)==typeof(undefined) )
//  {
//    alert("削除対象となる企業がありません");
//    return false;
//  }

  
  document.formHTS00901.companyNumber.value= delcompanyNumber;
//  if( setCompanyNumber() )
//  {
    dispatch( document.formHTS00901, 'H5415HTS009' );
//  }
}//deleteView

//-------------------------------------------------------------
// 選択業者取得
//-------------------------------------------------------------
function setCompanyNumber()
{
  var companyNumber="";
  var i=0;

  if( document.formProject.selectCompany.length )
  {
    for( ; i<document.formProject.selectCompany.length ; i++ )
    {
      if( document.formProject.selectCompany[i].checked )
      {
        companyNumber=document.formProject.selectCompany[i].value;
        break;
      }
    }
  }
  else if( document.formProject.selectCompany.checked )
  {
    companyNumber=document.formProject.selectCompany.value;
  }

  if( companyNumber=="" )
  {
    alert("対象となる企業を選択して下さい");
    return false;
  }

  document.formHTS00901.companyNumber.value=companyNumber;
  document.formHTS00901.bidPrice.value=document.formProject["bidPrice_"+i].value;
  document.formHTS00901.companyName.value=document.formProject["companyName_"+i].value;

  if( document.formProject.amount )
  {
    document.formHTS00901.amount.value=document.formProject["amount_"+i].value;
  }

  document.formHTS00901.declineFlag.value=document.formProject["declineFlag_"+i].value;

  return true;
}//setCompanyNumber

//-------------------------------------------------------------
// 紙入札情報登録画面表示
//-------------------------------------------------------------
function onSearch()
{
  var errmsg="";

  // 要求処理初期設定
  if( !prepareDispatch( document.formProject, 'H5416HTS009' ) )
    return;

  //検索企業IDの入力チェック
  if( !checkId( document.formProject.searchCompanyNumber.value ) )
    errmsg+="検索企業IDは半角数字で入力してください\n";

  //検索代表者電話番号の入力チェック
  if( !checkTelephone( document.formProject.searchCompanyTelephone.value ) )
    errmsg+="検索代表者電話番号は半角数字で入力してください\n";

  if( errmsg!="" )
  {
    alert( errmsg );
    resetCommandFormObj();
    return;
  }

  // ポップアップ検索要求処理呼出し
  callSubmitCall( 'submitCallPopUpSearch' );
}//onSearch

//-------------------------------------------------------------
// ポップアップ検索要求処理
//-------------------------------------------------------------
function submitCallPopUpSearch()
{
  /* doSubmit()を呼び出す */
  doSubmit();

  // ポップアップウィンドウ作成
  createPopupWindow( 
    800, 570,

    // init
     "document.formRequest.searchCompanyNumber.value=opener.top.wpMain.document.formProject.searchCompanyNumber.value;"
    +"document.formRequest.searchCompanyName.value=opener.top.wpMain.document.formProject.searchCompanyName.value;"
    +"document.formRequest.searchCompanyTelephone.value=opener.top.wpMain.document.formProject.searchCompanyTelephone.value;"
    +"document.formRequest.searchCompanyAddress.value=opener.top.wpMain.document.formProject.searchCompanyAddress.value;"

    +"document.formRequest.projectNumber.value=opener.top.wpMain.document.formHTS00901.projectNumber.value;"
    +"submitCall();",

    // params
     getStdParams()
    +"<INPUT type='hidden' name='projectNumber'>"
    +"<INPUT type='hidden' name='searchCompanyNumber'>"
    +"<INPUT type='hidden' name='searchCompanyName'>"
    +"<INPUT type='hidden' name='searchCompanyTelephone'>"
    +"<INPUT type='hidden' name='searchCompanyAddress'>"
    +"<INPUT type='hidden' name='unavailable' value='" + document.formHTS00901.unavailable.value + "'>"
    
  );

  //NN対策
  focusSubWindow();

}//submitCallPopUpSearch

//-------------------------------------------------------------
// 紙入札情報入力画面閉じる処理
//-------------------------------------------------------------
function onInputClose()
{
  window.close();
}//onInputClose

//-------------------------------------------------------------
// 紙入札情報登録修正画面
//-------------------------------------------------------------
function popCorrectionAcceptPaper( CorrectionCompanyNumber, CorrectionCompanyName, DeclineFlag, BidPrice, idx) 
{
  document.formHTS00901.companyNumber.value= CorrectionCompanyNumber;
  document.formHTS00901.companyName.value = CorrectionCompanyName;
  document.formHTS00901.declineFlag.value = DeclineFlag;
  document.formHTS00901.bidPrice.value = BidPrice;

  if( document.formProject["amount_"+String(idx)] )
  { 
    document.formHTS00901.amount.value = document.formProject["amount_"+String(idx)].value;
  }
  
  if( document.all )
  {
    pos=
      "left=100,"+
      "top=100,";
  }
  else if( document.layers )
  {
    pos=
      "left=100,"+
      "top=100,";
  }
  else
  {
    pos=
      "left=100,"+
      "top=100,";
  }

  var newWindow = window.open( contextPath+"/ebidmlit/html/blank.html", "",
      pos+
      "toolbar=0,"+
      "location=0,"+
      "directories=0,"+
// ***** DEL 2007.04.10 START *****
//      "status=0,"+
// ***** DEL 2007.04.10 END *****
// ***** ADD 2007.04.10 START *****
      "status=yes,"+
// ***** ADD 2007.04.10 END *****
      "menubar=0,"+
      "scrollbars=0,"+
      "resizable=0,"+
      "innerWidth=800,"+
      "innerHeight=300,"+
      "width=800,"+
      "height=300" );

    // 修正の判断
    var htmlContent   = "";
    var checker       = "";
    var tenderView    = document.formProject.bidLabel.value;
    var bidPriceValue = document.formHTS00901.bidPrice.value;
    var amountValue   = document.formHTS00901.amount.value;
    var companyNumber = document.formHTS00901.companyNumber.value;
    var companyName   = document.formHTS00901.companyName.value;
    var declineFlag   = document.formHTS00901.declineFlag.value;
    
    // 子ウィンドウを開く
    newWindow.document.open();
    newWindow.document.charset="Shift_JIS";

    htmlContent=
 " <HTML>"
+"  <HEAD>"
+"    <SCRIPT language='JavaScript' src='"+ contextPath +"/ebidmlit/script/EbCommand.js'></SCRIPT>"
+"    <SCRIPT language='JavaScript' src='"+ contextPath +"/ebidmlit/script/goods/EbBA2Common.js'></SCRIPT>"
+"    <SCRIPT language='JavaScript'>"
+"      function onStart()"
+"      {"
+"        setPriceTextEvent("
+"          document.formRegist.bidPrice,"
+"          document.formRegist.bidPriceJp,"
+"          document.formRegist.bidPriceComma );";

  if( document.formHTS00901.pluralBidFlag.value=="1" )
  {
    htmlContent +=
 "        document.formRegist.bidPrice.maxLength = DEF_BID_PLURAL_LENGTH;"
+"        document.formRegist.goodsAmountRestDisp.value = '（' + Number(opener.top.wpMain.document.formHTS00901.goodsAmountRest.value) + '）';";
  }

  htmlContent +=
 "      }"
+"      function doUpdate()"
+"      {"
+"        var errmsg=\"\";"
+"        var tenderOrEstimateName=document.formRegist.bidLabel.value;"
+"        if( document.formRegist.process[0].checked )"
+"        {"
+"          if( document.formRegist.bidPrice.value==\"\" )"
+"            errmsg+=tenderOrEstimateName+'金額が未入力です。'+tenderOrEstimateName+'金額を入力してください.\\n';"
+"          else if( document.formRegist.bidPrice.value<=0 )"
+"            errmsg+=tenderOrEstimateName+'金額には0より大きい値を入力して下さい.\\n';";

  if( document.formHTS00901.pluralBidFlag.value=="1" )
  {
  htmlContent +=
 "          else"
+"          {"
+"            if( document.formRegist.bidPrice.value.length > DEF_BID_PLURAL_LENGTH )"
+"              errmsg+=tenderOrEstimateName+'金額が長すぎます。" + DEF_BID_PLURAL_LENGTH + "桁以下で入力して下さい.\\n';"
+"            else if( !checkNumberDecimal( document.formRegist.bidPrice.value ) )"
+"              errmsg+=tenderOrEstimateName+'金額が不正です。再入力してください.\\n';"
+"            else if( !checkIntegerBidLengthDef(document.formRegist.bidPrice.value) )"
+"              errmsg+=tenderOrEstimateName+'金額には整数部" + DEF_BID_PLURAL_INTEGER_LENGTH + "桁までの値を入力して下さい.\\n';"
+"            else if( !checkDecimalBidLengthDef(document.formRegist.bidPrice.value) )"
+"              errmsg+=tenderOrEstimateName+'金額には小数点第" + DEF_BID_PLURAL_DECIMAL_LENGTH + "位までの値を入力して下さい.\\n';"
+"          }"
+"          if( document.formRegist.amount.value==\"\" )"
+"            errmsg+=tenderOrEstimateName+'数量が未入力です。'+tenderOrEstimateName+'数量を入力して下さい.\\n';"
+"          else if( Number( document.formRegist.amount.value )<=0 )"
+"            errmsg+=tenderOrEstimateName+'数量には0より大きい値を入力して下さい.\\n';"
+"          else if( !checkNumber( document.formRegist.amount.value ) )"
+"            errmsg+=tenderOrEstimateName+'数量が不正です。再入力して下さい.\\n';"
+"          else if( Number(document.formRegist.amount.value) > Number(opener.top.wpMain.document.formHTS00901.goodsAmountRest.value) )"
+"            errmsg+=tenderOrEstimateName+'数量には'+opener.top.wpMain.document.formHTS00901.goodsAmountRest.value+'以下の値を入力してください.\\n';";
  }
  else
  {
  htmlContent +=
 "          else"
+"          {"
+"            if( document.formRegist.bidPrice.value.length > DEF_BID_NONPLURAL_LENGTH )"
+"              errmsg+=tenderOrEstimateName+'金額が長すぎます。" + DEF_BID_NONPLURAL_LENGTH + "桁以下で入力して下さい.\\n';"
+"            else if( !checkNumber( document.formRegist.bidPrice.value ) )"
+"              errmsg+=tenderOrEstimateName+'金額を正しく入力して下さい.\\n';"
+"          }";
  }
  htmlContent +=
 "          if( errmsg!=\"\" )"
+"          {"
+"            alert( errmsg );"
+"            return false;"
+"          }"
+"        }"
+"        opener.top.wpMain.doUpdate( document.formRegist );"
+"        window.close();"
+"      }"
+"    </SCRIPT>"
+"    <LINK rel=\"stylesheet\" type=\"text/css\" href=\"" + contextPath + "/ebidmlit/goods/css/default.css\">"
+"  </HEAD>"
+"  <BODY onLoad=\"onStart()\">\n"
+"    <CENTER><H3>紙" + document.formProject.bidLabel.value + "情報登録修正</H3></CENTER>\n"
+"    <FORM method=\"post\" name=\"formRegist\">\n"
+"    <TABLE align=\"center\" border=\"0\">\n"
+"      <TR>\n"
+"        <TD align=\"center\" nowrap><LABEL for=\"radioBtn1\"><INPUT type=\"radio\" name=\"process\" " + ( declineFlag=="1" ? "" : "checked" ) + ">修正</LABEL></TD>\n"
+"        <TD align=\"center\" nowrap><LABEL for=\"radioBtn2\"><INPUT type=\"radio\" name=\"process\" " + ( declineFlag=="1" ? "checked" : "" ) + ">辞退</LABEL></TD>\n"
+"      </TR>\n"
+"    </TABLE>\n"
+"    <TABLE align=\"center\" width=\"90%\">\n"
+"      <TR>\n"
+"        <TD algin=\"left\" nowrap>企業ID</TD>\n"
+"        <TD>：</TD>\n"
+"        <TD align=\"left\">" + companyNumber + "<INPUT type=\"hidden\" name=\"companyValue\" value=\"" + companyNumber + "\"></TD>\n"
+"      </TR>\n"
+"      <TR>\n"
+"        <TD algin=\"left\" nowrap>企業名称</TD>\n"
+"        <TD>：</TD>\n"
+"        <TD align=\"left\">" + companyName + "</TD>\n"
+"      </TR>\n"
+"      <TR>\n"
+"        <TD valign=\"top\" align=\"left\">" + tenderView + "金額</TD>\n"
+"        <TD valign=\"top\">：</TD>\n"
+"        <TD>\n"
+"          <TABLE border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n"
+"            <TR>\n"
+"              <TD>\n"
+"                <INPUT type=\"text\" name=\"bidPrice\" size=\"24\" maxlength=\"16\" style=\"color:#0000FF;text-align:right\" value=\"" + bidPriceValue + "\" >&nbsp;円（税抜き）\n"
+"              </TD>\n"
+"              <TD width=\"10\"><BR></TD>\n"
+"              <TD align=\"right\">\n"
+"                <INPUT type=\"text\" name=\"bidPriceComma\" size=\"30\" maxlength=\"16\" style=\"text-align:right;background-color:transparent;border:0px;\" onFocus=\"blur()\" READONLY value=\"\">&nbsp;円（税抜き）\n"
+"              </TD>\n"
+"            </TR>\n"
+"            <TR>\n"
+"              <TD align=\"right\" colspan=\"3\">\n"
+"                <INPUT type=\"text\" name=\"bidPriceJp\" size=\"30\" style=\"font-size:14pt;font-weight:bold;text-align:right;background-color:transparent;border:0px;\" onFocus=\"blur()\" READONLY value=\"\">&nbsp;円（税抜き）\n"
+"                <INPUT type=\"hidden\" name=\"bidLabel\" value=\""+tenderView+"\">\n"
+"              </TD>\n"
+"            </TR>\n"
+"          </TABLE>\n"
+"        </TD>\n"
+"      </TR>\n";
  // 数量
  if( document.formHTS00901.pluralBidFlag.value=="1" )
  {
    htmlContent +=
 "      <TR>\n"
+"        <TD align=\"left\" nowrap>"+tenderView+"数量</TD>\n"
+"        <TD>：</TD>\n"
+"        <TD><INPUT type=\"text\" name=\"amount\" size=\"20\" style=\"color:#0000FF;text-align:right\" value=\"" + amountValue + "\">&nbsp;／残数量<INPUT type='text' name='goodsAmountRestDisp' size='12' maxlength='8' style='background-color:transparent;border:0px;' readonly></TD>\n"
+"      </TR>\n";
  }
  htmlContent +=
 "    </TABLE><BR>\n"
+"    <TABLE align=\"center\">\n"
+"      <TR>\n"
+"        <TD><A href=\"javascript://\" onclick=\"doUpdate();\"><IMG src=\"" + contextPath + "/ebidmlit/goods/image/button/btn_determinate.gif\" border=\"0\" width=\"100\" height=\"24\" alt=\"決定\"></A></TD>\n"
+"        <TD>&nbsp;&nbsp;</TD>\n"
+"        <TD><A href=\"javascript://\" onclick=\"window.close();\"><IMG src=\"" + contextPath + "/ebidmlit/goods/image/button/btn_close.gif\" border=\"0\" width=\"100\" height=\"24\" alt=\"閉じる\"></A></TD>\n"
+"      </TR>\n"
+"    </TABLE>\n"
+"    </FORM>\n"
+"    </CENTER>\n"
+"  </BODY>\n"
+"</HTML>\n";
    newWindow.document.write(htmlContent);
    newWindow.document.close();

}// popCorrectionAcceptPaper
